Bug 1408946 - Fixes crash on startup, at scan time, a parser crash
Summary: Fixes crash on startup, at scan time, a parser crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gsmartcontrol
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-28 10:50 UTC by poma
Modified: 2017-06-09 18:55 UTC (History)
2 users (show)

Fixed In Version: gsmartcontrol-0.9.0-1.fc25 gsmartcontrol-0.9.0-1.el7 gsmartcontrol-0.9.0-1.el6 gsmartcontrol-0.9.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 00:39:17 UTC
Type: Bug


Attachments (Terms of Use)
fixes crash on startup, at scan time, a parser crash v1 (5.59 KB, patch)
2016-12-28 10:50 UTC, poma
no flags Details | Diff
fixes crash on startup, at scan time, a parser crash v2 (406.24 KB, patch)
2016-12-28 10:51 UTC, poma
no flags Details | Diff
Upgrade to 0.8.8 r116 svn (412.53 KB, patch)
2016-12-29 20:01 UTC, poma
no flags Details | Diff

Description poma 2016-12-28 10:50:14 UTC
Created attachment 1235613 [details]
fixes crash on startup, at scan time, a parser crash v1

Description of problem:
Crash on startup, at scan time, a parser crash

Version-Release number of selected component (if applicable):
gsmartcontrol-0.8.7-10

Reproducibility:
Without exception

Steps to Reproduce:
1. Run gsmartcontrol

Actual results:
terminate called after throwing an instance of 'std::out_of_range'
  what():  basic_string::substr: __pos (which is 18446744073709551615) > this->size() (which is 564)

Expected results:
Pizza with prosecco, it marries well with tomato and cheese.

Additional info:
http://gsmartcontrol.sourceforge.net
News
2015-04-29
The Linux binary packages have been updated with a patch that fixes crash on startup
for some smartmontools version and system configuration combinations.
The source patch can be downloaded separately as well.
https://build.opensuse.org/package/view_file/home:alex_sh/gsmartcontrol/gsmartcontrol_parser_crash_fix.diff
Note that he fix has been included in the SVN version for some time now.
"Fixed a crash at scan time (bad parsing of empty smartctl output sections)."
https://sourceforge.net/p/gsmartcontrol/code/107
https://sourceforge.net/p/gsmartcontrol/code/107/#diff-13
https://sourceforge.net/p/gsmartcontrol/code/107/tree//trunk/gsmartcontrol/src/applib/smartctl_parser.cpp?diff=534edf800910d42a10b7434a:106

Comment 1 poma 2016-12-28 10:51:22 UTC
Created attachment 1235614 [details]
fixes crash on startup, at scan time, a parser crash v2

Comment 2 Vasiliy Glazov 2016-12-28 11:01:24 UTC
May be update it to last SVN revision?

Comment 3 poma 2016-12-28 14:52:46 UTC
Patch v1 is sufficient to fix crash on startup.

Patch v2 -is- an upgrade to the unofficial 0.8.8, i.e. last SVN rev.,
migrated to GIT;

$ git svn clone http://svn.code.sf.net/p/gsmartcontrol/code/trunk

See https://git-scm.com/book/en/v2/Git-and-Other-Systems-Migrating-to-Git
for details.

Both variants - v1 and v2, work on Fedora 24 and 26, also on CentoOS 7.3.

Comment 4 Vasiliy Glazov 2016-12-29 06:46:07 UTC
I mean that I can create gsmartcontrol-0.8.8-0.1.r116svn version.

Comment 5 poma 2016-12-29 20:01:40 UTC
Created attachment 1235965 [details]
Upgrade to 0.8.8 r116 svn

- Upgrade to 0.8.8 r116 svn
- Fixes crash on startup - rhbz#1408946

Comment 6 Fedora Update System 2017-05-12 04:24:34 UTC
gsmartcontrol-0.9.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7245895212

Comment 7 Fedora Update System 2017-05-12 04:24:46 UTC
gsmartcontrol-0.9.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1894e9ef52

Comment 8 Fedora Update System 2017-05-12 04:24:56 UTC
gsmartcontrol-0.9.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f256a902e

Comment 9 Fedora Update System 2017-05-12 04:25:05 UTC
gsmartcontrol-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4182f3d50d

Comment 10 Fedora Update System 2017-05-12 19:53:16 UTC
gsmartcontrol-0.9.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1894e9ef52

Comment 11 Fedora Update System 2017-05-12 19:57:14 UTC
gsmartcontrol-0.9.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7245895212

Comment 12 Fedora Update System 2017-05-13 01:13:17 UTC
gsmartcontrol-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4182f3d50d

Comment 13 Fedora Update System 2017-05-15 06:34:24 UTC
gsmartcontrol-0.9.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f256a902e

Comment 14 Fedora Update System 2017-05-23 00:39:17 UTC
gsmartcontrol-0.9.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-05-27 23:26:10 UTC
gsmartcontrol-0.9.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-05-28 06:49:28 UTC
gsmartcontrol-0.9.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-06-09 18:55:54 UTC
gsmartcontrol-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.